<?php
namespace Mirasvit\Sorting\Console\Command\ReindexCommand;

/**
 * Interceptor class for @see \Mirasvit\Sorting\Console\Command\ReindexCommand
 */
class Interceptor extends \Mirasvit\Sorting\Console\Command\ReindexCommand implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\ObjectManagerInterface $objectManager, \Magento\Framework\App\State $appState)
    {
        $this->___init();
        parent::__construct($objectManager, $appState);
    }

    /**
     * {@inheritdoc}
     */
    public function run(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output) : int
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'run');
        return $pluginInfo ? $this->___callPlugins('run', func_get_args(), $pluginInfo) : parent::run($input, $output);
    }
}
